-- player mock
PlayerMock = {}
PlayerMock.__index = PlayerMock

function PlayerMock:new(pl_name, is_builder)
    player = {}
    player.name = pl_name
    player.meta = SettingsMock:new()
    player.inventory = InventoryMock:new()
    setmetatable(player, self)
    if is_builder == nil or not is_builder then
        player.meta:set_string('mode', 'solo')
    else
        player.meta:set_string('mode', 'builder')
    end
    return player
end

function PlayerMock:get_player_name()
    return self.name
end

function PlayerMock:get_meta()
    return self.meta
end

function PlayerMock:get_inventory()
    return self.inventory
end

